Advertisement
Guest User

WSAPI updated pkgbuilds

a guest
Dec 27th, 2012
51
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
Bash 16.41 KB | None | 0 0
  1. #!/bin/sh
  2. # This is a shell archive (produced by GNU sharutils 4.11.1).
  3. # To extract the files from this archive, save it to some FILE, remove
  4. # everything before the `#!/bin/sh' line above, then type `sh FILE'.
  5. #
  6. lock_dir=_sh17942
  7. # Made on 2012-12-27 11:44 CET by <jo@localhost>.
  8. # Source directory was `/home/jo/aur'.
  9. #
  10. # Existing files will *not* be overwritten, unless `-c' is specified.
  11. #
  12. # This shar contains:
  13. # length mode       name
  14. # ------ ---------- ------------------------------------------
  15. #   1069 -rw-r--r-- lua51-filesystem/LICENSE
  16. #    511 -rw-r--r-- lua51-cosmo/PKGBUILD
  17. #    519 -rw-r--r-- lua51-coxpcall/PKGBUILD
  18. #   1081 -rw-r--r-- lua51-filesystem/PKGBUILD
  19. #    524 -rw-r--r-- lua51-orbit/PKGBUILD
  20. #    568 -rw-r--r-- lua51-rings/PKGBUILD
  21. #    990 -rw-r--r-- lua51-wsapi/PKGBUILD
  22. #
  23. MD5SUM=${MD5SUM-md5sum}
  24. f=`${MD5SUM} --version | egrep '^md5sum .*(core|text)utils'`
  25. test -n "${f}" && md5check=true || md5check=false
  26. ${md5check} || \
  27.   echo 'Note: not verifying md5sums.  Consider installing GNU coreutils.'
  28. if test "X$1" = "X-c"
  29. then keep_file=''
  30. else keep_file=true
  31. fi
  32. echo=echo
  33. save_IFS="${IFS}"
  34. IFS="${IFS}:"
  35. gettext_dir=
  36. locale_dir=
  37. set_echo=false
  38.  
  39. for dir in $PATH
  40. do
  41.   if test -f $dir/gettext \
  42.      && ($dir/gettext --version >/dev/null 2>&1)
  43.   then
  44.     case `$dir/gettext --version 2>&1 | sed 1q` in
  45.       *GNU*) gettext_dir=$dir
  46.       set_echo=true
  47.       break ;;
  48.     esac
  49.   fi
  50. done
  51.  
  52. if ${set_echo}
  53. then
  54.   set_echo=false
  55.   for dir in $PATH
  56.   do
  57.     if test -f $dir/shar \
  58.        && ($dir/shar --print-text-domain-dir >/dev/null 2>&1)
  59.     then
  60.       locale_dir=`$dir/shar --print-text-domain-dir`
  61.       set_echo=true
  62.       break
  63.     fi
  64.   done
  65.  
  66.   if ${set_echo}
  67.   then
  68.     TEXTDOMAINDIR=$locale_dir
  69.     export TEXTDOMAINDIR
  70.     TEXTDOMAIN=sharutils
  71.     export TEXTDOMAIN
  72.     echo="$gettext_dir/gettext -s"
  73.   fi
  74. fi
  75. IFS="$save_IFS"
  76. if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null
  77. then if (echo -n test; echo 1,2,3) | grep n >/dev/null
  78.      then shar_n= shar_c='
  79. '
  80.      else shar_n=-n shar_c= ; fi
  81. else shar_n= shar_c='\c' ; fi
  82. f=shar-touch.$$
  83. st1=200112312359.59
  84. st2=123123592001.59
  85. st2tr=123123592001.5 # old SysV 14-char limit
  86. st3=1231235901
  87.  
  88. if touch -am -t ${st1} ${f} >/dev/null 2>&1 && \
  89.    test ! -f ${st1} && test -f ${f}; then
  90.   shar_touch='touch -am -t $1$2$3$4$5$6.$7 "$8"'
  91.  
  92. elif touch -am ${st2} ${f} >/dev/null 2>&1 && \
  93.    test ! -f ${st2} && test ! -f ${st2tr} && test -f ${f}; then
  94.   shar_touch='touch -am $3$4$5$6$1$2.$7 "$8"'
  95.  
  96. elif touch -am ${st3} ${f} >/dev/null 2>&1 && \
  97.    test ! -f ${st3} && test -f ${f}; then
  98.   shar_touch='touch -am $3$4$5$6$2 "$8"'
  99.  
  100. else
  101.   shar_touch=:
  102.   echo
  103.   ${echo} 'WARNING: not restoring timestamps.  Consider getting and
  104. installing GNU `touch'\'', distributed in GNU coreutils...'
  105.   echo
  106. fi
  107. rm -f ${st1} ${st2} ${st2tr} ${st3} ${f}
  108. #
  109. if test ! -d ${lock_dir} ; then :
  110. else ${echo} "lock directory ${lock_dir} exists"
  111.      exit 1
  112. fi
  113. if mkdir ${lock_dir}
  114. then ${echo} "x - created lock directory ${lock_dir}."
  115. else ${echo} "x - failed to create lock directory ${lock_dir}."
  116.      exit 1
  117. fi
  118. # ============= lua51-filesystem/LICENSE ==============
  119. if test ! -d 'lua51-filesystem'; then
  120.   mkdir 'lua51-filesystem'
  121. if test $? -eq 0
  122. then ${echo} "x - created directory lua51-filesystem."
  123. else ${echo} "x - failed to create directory lua51-filesystem."
  124.      exit 1
  125. fi
  126. fi
  127. if test -n "${keep_file}" && test -f 'lua51-filesystem/LICENSE'
  128. then
  129. ${echo} "x - SKIPPING lua51-filesystem/LICENSE (file already exists)"
  130. else
  131. ${echo} "x - extracting lua51-filesystem/LICENSE (text)"
  132.   sed 's/^X//' << 'SHAR_EOF' > 'lua51-filesystem/LICENSE' &&
  133. Copyright (C) 2004-2007 The Kepler Project.
  134. X
  135. Permission is hereby granted, free of charge, to any person
  136. obtaining a copy of this software and associated documentation
  137. files (the "Software"), to deal in the Software without
  138. restriction, including without limitation the rights to use, copy,
  139. modify, merge, publish, distribute, sublicense, and/or sell copies
  140. of the Software, and to permit persons to whom the Software is
  141. furnished to do so, subject to the following conditions:
  142. X
  143. The above copyright notice and this permission notice shall be
  144. included in all copies or substantial portions of the Software.
  145. X
  146. THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
  147. EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
  148. MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
  149. NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
  150. BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
  151. ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  152. CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  153. SOFTWARE.
  154. X
  155. SHAR_EOF
  156.   (set 20 12 12 27 06 08 30 'lua51-filesystem/LICENSE'
  157.    eval "${shar_touch}") && \
  158.   chmod 0644 'lua51-filesystem/LICENSE'
  159. if test $? -ne 0
  160. then ${echo} "restore of lua51-filesystem/LICENSE failed"
  161. fi
  162.   if ${md5check}
  163.   then (
  164.        ${MD5SUM} -c >/dev/null 2>&1 || ${echo} 'lua51-filesystem/LICENSE': 'MD5 check failed'
  165.        ) << \SHAR_EOF
  166. beb2b58c4b5c2782304a5b0267a5651b  lua51-filesystem/LICENSE
  167. SHAR_EOF
  168.   else
  169. test `LC_ALL=C wc -c < 'lua51-filesystem/LICENSE'` -ne 1069 && \
  170.   ${echo} "restoration warning:  size of 'lua51-filesystem/LICENSE' is not 1069"
  171.   fi
  172. fi
  173. # ============= lua51-cosmo/PKGBUILD ==============
  174. if test ! -d 'lua51-cosmo'; then
  175.   mkdir 'lua51-cosmo'
  176. if test $? -eq 0
  177. then ${echo} "x - created directory lua51-cosmo."
  178. else ${echo} "x - failed to create directory lua51-cosmo."
  179.      exit 1
  180. fi
  181. fi
  182. if test -n "${keep_file}" && test -f 'lua51-cosmo/PKGBUILD'
  183. then
  184. ${echo} "x - SKIPPING lua51-cosmo/PKGBUILD (file already exists)"
  185. else
  186. ${echo} "x - extracting lua51-cosmo/PKGBUILD (text)"
  187.   sed 's/^X//' << 'SHAR_EOF' > 'lua51-cosmo/PKGBUILD' &&
  188. # Contributor: Lucas Hermann Negri <kkndrox@gmail.com>
  189. # Maintainer: Andreas Baumann <abaumann@yahoo.com>
  190. X
  191. pkgname=lua51-cosmo
  192. pkgver=9.09.22
  193. pkgrel=1
  194. pkgdesc="Safe templates engine for Lua"
  195. arch=(i686 x86_64)
  196. url="http://cosmo.luaforge.net/"
  197. depends=('lua51')
  198. license=(CUSTOM)
  199. source=(http://cosmo.luaforge.net/cosmo-$pkgver.tar.gz)
  200. md5sums=('ae0ea6af342089e3ede1ba48ded8e138')
  201. X
  202. build() {
  203. X   cd $startdir/src/cosmo-$pkgver
  204. X   ./configure lua
  205. X   make install LUA_DIR=$startdir/pkg/usr/share/lua/5.1 || return 1
  206. }
  207. SHAR_EOF
  208.   (set 20 12 12 27 10 42 29 'lua51-cosmo/PKGBUILD'
  209.    eval "${shar_touch}") && \
  210.   chmod 0644 'lua51-cosmo/PKGBUILD'
  211. if test $? -ne 0
  212. then ${echo} "restore of lua51-cosmo/PKGBUILD failed"
  213. fi
  214.   if ${md5check}
  215.   then (
  216.        ${MD5SUM} -c >/dev/null 2>&1 || ${echo} 'lua51-cosmo/PKGBUILD': 'MD5 check failed'
  217.        ) << \SHAR_EOF
  218. cf37258b3fb397a12c317f15435dae48  lua51-cosmo/PKGBUILD
  219. SHAR_EOF
  220.   else
  221. test `LC_ALL=C wc -c < 'lua51-cosmo/PKGBUILD'` -ne 511 && \
  222.   ${echo} "restoration warning:  size of 'lua51-cosmo/PKGBUILD' is not 511"
  223.   fi
  224. fi
  225. # ============= lua51-coxpcall/PKGBUILD ==============
  226. if test ! -d 'lua51-coxpcall'; then
  227.   mkdir 'lua51-coxpcall'
  228. if test $? -eq 0
  229. then ${echo} "x - created directory lua51-coxpcall."
  230. else ${echo} "x - failed to create directory lua51-coxpcall."
  231.      exit 1
  232. fi
  233. fi
  234. if test -n "${keep_file}" && test -f 'lua51-coxpcall/PKGBUILD'
  235. then
  236. ${echo} "x - SKIPPING lua51-coxpcall/PKGBUILD (file already exists)"
  237. else
  238. ${echo} "x - extracting lua51-coxpcall/PKGBUILD (text)"
  239.   sed 's/^X//' << 'SHAR_EOF' > 'lua51-coxpcall/PKGBUILD' &&
  240. # Contributor: Lucas Hermann Negri <kkndrox@gmail.com>
  241. X
  242. pkgname=lua51-coxpcall
  243. pkgver=1.13.0
  244. pkgrel=1
  245. pkgdesc="Encapsulates the protected calls with a coroutine based loop."
  246. arch=(i686 x86_64)
  247. url="http://coxpcall.luaforge.net/"
  248. depends=('lua51')
  249. license=(CUSTOM)
  250. source=(http://luaforge.net/frs/download.php/3406/coxpcall-$pkgver.tar.gz)
  251. md5sums=('d3e0554dc426a7a24e372780b3dd5fe6')
  252. X
  253. build() {
  254. X   cd $startdir/src/coxpcall-$pkgver
  255. X   ./configure lua
  256. X   make install LUA_DIR=$startdir/pkg/usr/share/lua/5.1 || return 1
  257. }
  258. SHAR_EOF
  259.   (set 20 12 12 27 11 05 10 'lua51-coxpcall/PKGBUILD'
  260.    eval "${shar_touch}") && \
  261.   chmod 0644 'lua51-coxpcall/PKGBUILD'
  262. if test $? -ne 0
  263. then ${echo} "restore of lua51-coxpcall/PKGBUILD failed"
  264. fi
  265.   if ${md5check}
  266.   then (
  267.        ${MD5SUM} -c >/dev/null 2>&1 || ${echo} 'lua51-coxpcall/PKGBUILD': 'MD5 check failed'
  268.        ) << \SHAR_EOF
  269. 6442576665124b4bfe3dba4d51ec683f  lua51-coxpcall/PKGBUILD
  270. SHAR_EOF
  271.   else
  272. test `LC_ALL=C wc -c < 'lua51-coxpcall/PKGBUILD'` -ne 519 && \
  273.   ${echo} "restoration warning:  size of 'lua51-coxpcall/PKGBUILD' is not 519"
  274.   fi
  275. fi
  276. # ============= lua51-filesystem/PKGBUILD ==============
  277. if test -n "${keep_file}" && test -f 'lua51-filesystem/PKGBUILD'
  278. then
  279. ${echo} "x - SKIPPING lua51-filesystem/PKGBUILD (file already exists)"
  280. else
  281. ${echo} "x - extracting lua51-filesystem/PKGBUILD (binary)"
  282.   sed 's/^X//' << 'SHAR_EOF' | uudecode &&
  283. begin 600 lua51-filesystem/PKGBUILD
  284. M(R`D260Z(%!+1T)524Q$(#@Q,SDQ(#(P,3(M,3(M,3D@,3,Z,C<Z-#A:('-E
  285. M8FQU("0*(R!-86EN=&%I;F5R.B!#:')I<R!"<F%N;F]N(#QC;6)R86YN;VXW
  286. M.4!G;6%I;"YC;VT^"B,@0V]N=')I8G5T;W(Z(%!A=6QO($UA=&EA<R`\;6%T
  287. M:6%SSIAA<F-H;&EN=7@M8G+"MV]R9SX*(R!#;VYT<FEB=71O<CH@06YD97)S
  288. M($)E<F=H(#QA;F1E<G,Q0&=M86EL+F-O;3X*"G!K9V)A<V4];'5A9FEL97-Y
  289. M<W1E;0IP:V=N86UE/2AL=6$U,2UF:6QE<WES=&5M*0IP:V=V97(],2XV+C(*
  290. M<&MG<F5L/3(*<&MG9&5S8STG1FEL92!3>7-T96T@3&EB<F%R>2!F;W(@=&AE
  291. M($QU82!0<F]G<F%M;6EN9R!,86YG=6%G92<*87)C:#TH)VDV.#8G("=X.#9?
  292. M-C0G*0IU<FP])VAT='`Z+R]W=W<N:V5P;&5R<')O:F5C="YO<F<O;'5A9FEL
  293. M97-Y<W1E;2\G"FQI8V5N<V4]*"=-250G*0IM86ME9&5P96YD<STH;'5A-3$I
  294. M"G-O=7)C93TH:'1T<#HO+V=I=&AU8BYC;VTO9&]W;FQO861S+VME<&QE<G!R
  295. M;VIE8W0O)'!K9V)A<V4O)'!K9V)A<V4M)'!K9W9E<BYT87(N9WH*("`@("`@
  296. M("!,24-%3E-%*0IM9#5S=6US/2@G-&4W96,Y,S8W.&,W-C!C-&4T,F-E83=D
  297. M,CAA869A,3,G"B`@("`@("`@("=B96(R8C4X8S1B-6,R-S@R,S`T835B,#(V
  298. M-V$U-C4Q8B<I"@IB=6EL9"@I('L*("!M<V<R(")"=6EL9&EN9R`D<&MG8F%S
  299. M92!W:71H(&QU82`U+C$B"B`@8W`@+6$@)'!K9V)A<V4M)'!K9W9E<B`D<&MG
  300. M8F%S92TD<&MG=F5R+34Q"B`@8V0@)'!K9V)A<V4M)'!K9W9E<BTU,0H@(&UA
  301. M:V4@3%5!7TE.0STO=7-R+VEN8VQU9&4O;'5A-2XQ"GT*"G!A8VMA9V5?;'5A
  302. M-3$M9FEL97-Y<W1E;2@I('L*("!D97!E;F1S/2@G;'5A-3$G*0H@(&-O;F9L
  303. M:6-T<STH)VQU869I;&5S>7-T96TG*0H@(')E<&QA8V5S/2@G;'5A9FEL97-Y
  304. M<W1E;2<I"@H@(&-D("1P:V=B87-E+21P:V=V97(M-3$*("!M86ME(%!2149)
  305. M6#TD<&MG9&ER+W5S<B!,54%?3$E"1$E2/2<D*%!2149)6"DO;&EB+VQU82\U
  306. M+C$G(&EN<W1A;&P*("!I;G-T86QL("U$;38T-"`D<W)C9&ER+TQ)0T5.4T4@
  307. M)'!K9V1I<B]U<W(O<VAA<F4O;&EC96YS97,O)'!K9VYA;64O3$E#14Y310I]
  308. !"G!K
  309. `
  310. end
  311. SHAR_EOF
  312.  (set 20 12 12 27 11 09 31 'lua51-filesystem/PKGBUILD'
  313.   eval "${shar_touch}") && \
  314.  chmod 0644 'lua51-filesystem/PKGBUILD'
  315. if test $? -ne 0
  316. then ${echo} "restore of lua51-filesystem/PKGBUILD failed"
  317. fi
  318.  if ${md5check}
  319.  then (
  320.       ${MD5SUM} -c >/dev/null 2>&1 || ${echo} 'lua51-filesystem/PKGBUILD': 'MD5 check failed'
  321.       ) << \SHAR_EOF
  322. 057f5b15adb91285c26533c5f7c3b606  lua51-filesystem/PKGBUILD
  323. SHAR_EOF
  324.  else
  325. test `LC_ALL=C wc -c < 'lua51-filesystem/PKGBUILD'` -ne 1081 && \
  326.  ${echo} "restoration warning:  size of 'lua51-filesystem/PKGBUILD' is not 1081"
  327.  fi
  328. fi
  329. # ============= lua51-orbit/PKGBUILD ==============
  330. if test ! -d 'lua51-orbit'; then
  331.  mkdir 'lua51-orbit'
  332. if test $? -eq 0
  333. then ${echo} "x - created directory lua51-orbit."
  334. else ${echo} "x - failed to create directory lua51-orbit."
  335.     exit 1
  336. fi
  337. fi
  338. if test -n "${keep_file}" && test -f 'lua51-orbit/PKGBUILD'
  339. then
  340. ${echo} "x - SKIPPING lua51-orbit/PKGBUILD (file already exists)"
  341. else
  342. ${echo} "x - extracting lua51-orbit/PKGBUILD (text)"
  343.  sed 's/^X//' << 'SHAR_EOF' > 'lua51-orbit/PKGBUILD' &&
  344. # Contributor: Lucas Hermann Negri <kkndrox@gmail.com>
  345. X
  346. pkgname=lua51-orbit
  347. pkgver=2.0.2
  348. pkgrel=1
  349. pkgdesc="MVC web framework for Lua"
  350. arch=(i686 x86_64)
  351. url="http://orbit.luaforge.net/"
  352. depends=('lua51-wsapi' 'lua51-cosmo')
  353. license=(CUSTOM)
  354. source=(http://luaforge.net/frs/download.php/3975/orbit-$pkgver.tar.gz)
  355. md5sums=('9ff095b915825ea9dd731b20c3772c2e')
  356. X
  357. build() {
  358. X   cd $startdir/src/orbit-$pkgver
  359. X   ./configure lua
  360. X   make install LUA_DIR=$startdir/pkg/usr/share/lua/5.1 \
  361. X       BIN_DIR=$startdir/pkg/usr/bin || return 1
  362. }
  363. SHAR_EOF
  364.  (set 20 12 12 27 10 43 43 'lua51-orbit/PKGBUILD'
  365.   eval "${shar_touch}") && \
  366.  chmod 0644 'lua51-orbit/PKGBUILD'
  367. if test $? -ne 0
  368. then ${echo} "restore of lua51-orbit/PKGBUILD failed"
  369. fi
  370.  if ${md5check}
  371.  then (
  372.       ${MD5SUM} -c >/dev/null 2>&1 || ${echo} 'lua51-orbit/PKGBUILD': 'MD5 check failed'
  373.       ) << \SHAR_EOF
  374. be86ba372349ce7eee9cbd7ddd69e4ae  lua51-orbit/PKGBUILD
  375. SHAR_EOF
  376.  else
  377. test `LC_ALL=C wc -c < 'lua51-orbit/PKGBUILD'` -ne 524 && \
  378.  ${echo} "restoration warning:  size of 'lua51-orbit/PKGBUILD' is not 524"
  379.  fi
  380. fi
  381. # ============= lua51-rings/PKGBUILD ==============
  382. if test ! -d 'lua51-rings'; then
  383.  mkdir 'lua51-rings'
  384. if test $? -eq 0
  385. then ${echo} "x - created directory lua51-rings."
  386. else ${echo} "x - failed to create directory lua51-rings."
  387.     exit 1
  388. fi
  389. fi
  390. if test -n "${keep_file}" && test -f 'lua51-rings/PKGBUILD'
  391. then
  392. ${echo} "x - SKIPPING lua51-rings/PKGBUILD (file already exists)"
  393. else
  394. ${echo} "x - extracting lua51-rings/PKGBUILD (text)"
  395.  sed 's/^X//' << 'SHAR_EOF' > 'lua51-rings/PKGBUILD' &&
  396. # Contributor: Lucas Hermann Negri <kkndrox@gmail.com>
  397. X
  398. pkgname=lua51-rings
  399. pkgver=1.2.3
  400. pkgrel=1
  401. pkgdesc='Library which provides a way to create new Lua states from within Lua.'
  402. arch=(i686 x86_64)
  403. url='http://keplerproject.github.com/rings/'
  404. depends=('lua51')
  405. license=(CUSTOM)
  406. source=("http://github.com/keplerproject/rings/tarball/v$pkgver")
  407. md5sums=('1ac602984fe2112e231a28804f1c54d0')
  408. X
  409. build() {
  410. X   cd $startdir/src/keplerproject-rings-8972089
  411. X   ./configure lua || return 1
  412. X   make LUA_INC=/usr/include/lua5.1 || return 1
  413. X   make install PREFIX=$startdir/pkg/usr/
  414. }
  415. SHAR_EOF
  416.  (set 20 12 12 27 10 20 29 'lua51-rings/PKGBUILD'
  417.   eval "${shar_touch}") && \
  418.  chmod 0644 'lua51-rings/PKGBUILD'
  419. if test $? -ne 0
  420. then ${echo} "restore of lua51-rings/PKGBUILD failed"
  421. fi
  422.  if ${md5check}
  423.  then (
  424.       ${MD5SUM} -c >/dev/null 2>&1 || ${echo} 'lua51-rings/PKGBUILD': 'MD5 check failed'
  425.       ) << \SHAR_EOF
  426. 187770320e0ee136146af793e098c3ea  lua51-rings/PKGBUILD
  427. SHAR_EOF
  428.  else
  429. test `LC_ALL=C wc -c < 'lua51-rings/PKGBUILD'` -ne 568 && \
  430.  ${echo} "restoration warning:  size of 'lua51-rings/PKGBUILD' is not 568"
  431.  fi
  432. fi
  433. # ============= lua51-wsapi/PKGBUILD ==============
  434. if test ! -d 'lua51-wsapi'; then
  435.  mkdir 'lua51-wsapi'
  436. if test $? -eq 0
  437. then ${echo} "x - created directory lua51-wsapi."
  438. else ${echo} "x - failed to create directory lua51-wsapi."
  439.     exit 1
  440. fi
  441. fi
  442. if test -n "${keep_file}" && test -f 'lua51-wsapi/PKGBUILD'
  443. then
  444. ${echo} "x - SKIPPING lua51-wsapi/PKGBUILD (file already exists)"
  445. else
  446. ${echo} "x - extracting lua51-wsapi/PKGBUILD (text)"
  447.  sed 's/^X//' << 'SHAR_EOF' > 'lua51-wsapi/PKGBUILD' &&
  448. # Contributor: Lucas Hermann Negri <kkndrox@gmail.com>
  449. X
  450. pkgname=lua51-wsapi
  451. pkgver=1.5
  452. pkgrel=1
  453. pkgdesc="API that abstracts the web server from Lua web applications."
  454. arch=(i686 x86_64)
  455. url="http://wsapi.luaforge.net/"
  456. depends=('lua51' 'lua51-filesystem' 'lua51-rings' 'lua51-coxpcall' 'fcgi')
  457. provides=('lfcgi')
  458. license=(CUSTOM)
  459. source=(http://github.com/downloads/keplerproject/wsapi/wsapi-$pkgver.tar.gz)
  460. md5sums=('5c983a1db3659ed73e28c473ffd4f4d5')
  461. X
  462. build() {
  463. X   cd $startdir/src/wsapi-$pkgver
  464. X   ./configure lua
  465. X  sed -i -e 's|#!/usr/bin/lua|#!/usr/bin/lua5.1|' ./src/launcher/wsapi.cgi || return 1
  466. X  sed -i -e 's|#!/usr/bin/lua|#!/usr/bin/lua5.1|' ./src/launcher/wsapi.fcgi || return 1
  467. X   make CFLAGS="-fPIC -I/usr/include/lua5.1" || return 1
  468. X   mkdir -p $startdir/pkg/usr/{share,lib}/lua/5.1
  469. X   mkdir -p $startdir/pkg/usr/bin
  470. X   make install install-fcgi LUA_DIR=$startdir/pkg/usr/share/lua/5.1 \
  471. X       LUA_LIBDIR=$startdir/pkg/usr/lib/lua/5.1 \
  472. X       BIN_DIR=$startdir/pkg/usr/bin/ || return 1
  473. X  
  474. }
  475. SHAR_EOF
  476.  (set 20 12 12 27 10 48 30 'lua51-wsapi/PKGBUILD'
  477.   eval "${shar_touch}") && \
  478.  chmod 0644 'lua51-wsapi/PKGBUILD'
  479. if test $? -ne 0
  480. then ${echo} "restore of lua51-wsapi/PKGBUILD failed"
  481. fi
  482.  if ${md5check}
  483.  then (
  484.       ${MD5SUM} -c >/dev/null 2>&1 || ${echo} 'lua51-wsapi/PKGBUILD': 'MD5 check failed'
  485.       ) << \SHAR_EOF
  486. ad6e944583c8dd746c16be216e495fc9  lua51-wsapi/PKGBUILD
  487. SHAR_EOF
  488.  else
  489. test `LC_ALL=C wc -c < 'lua51-wsapi/PKGBUILD'` -ne 990 && \
  490.  ${echo} "restoration warning:  size of 'lua51-wsapi/PKGBUILD' is not 990"
  491.  fi
  492. fi
  493. if rm -fr ${lock_dir}
  494. then ${echo} "x - removed lock directory ${lock_dir}."
  495. else ${echo} "x - failed to remove lock directory ${lock_dir}."
  496.     exit 1
  497. fi
  498. exit 0
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement